
<?php $__env->startSection('css'); ?>
<link href="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0/css/select2.min.css" rel="stylesheet">

<style>
    .invalid-feedback{
      display: block;
   }

   .product{    
     width: 100%;
     margin-right: 6px;
   }

   .select2-container {
    margin-right: 7px;
   }

   .select2-selection__rendered {
    line-height: 31px!important;
    }

   .select2-container .select2-selection--single{
    height: 35px!important;
    width: 100%;
    margin-right: 6px;
    

   }

</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h4 class="text-themecolor"> Edit Sale Invoice
        </h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
        <div class="d-flex justify-content-end align-items-center">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                <li class="breadcrumb-item active">Sale Invoices</li>
            </ol>
        </div>
    </div>
</div>

<form method="post" action="<?php echo e(URL::to('admin/saleinvoices')); ?>/<?php echo e(Crypt::encryptString($sale->id)); ?>" >
<?php echo csrf_field(); ?>
<?php echo method_field('PUT'); ?>

<div class="row">
    <div class="col-lg-12">
        <section class="card">
            <header class="card-header bg-info">
                <h4 class="mb-0 text-white" >Invoice Info</h4>
            </header>
            <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">Date</label>
                                <input type="datetime-local"
                                value="<?php echo e($sale->date); ?>"
                                name="date" class="form-control" 
                                placeholder="Date" />
                                <?php if($errors->has('date')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('date')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">Due Date</label>
                                <input type="datetime-local"
                                value="<?php echo e($sale->due_date); ?>"
                                name="due_date" class="form-control" 
                                placeholder="Due Date" />
                                <?php if($errors->has('due_date')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('due_date')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">Ref No</label>
                                <input value="<?php echo e($sale->ref); ?>" name="ref" class="form-control" placeholder="Ref No" />
                                <?php if($errors->has('ref')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('ref')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">Tracking No</label>
                                <input readonly value="<?php echo e($sale->tracking_id); ?>" name="tracking_id" class="form-control" placeholder="Tracking No" />
                                <?php if($errors->has('tracking_id')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('tracking_id')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">Is Paid</label>
                                <select name="is_paid" class="form-control" >
                                    <option value="0">No</option>
                                    <option <?php if($sale->is_paid == 1 ): ?> selected <?php endif; ?>
                                     value="1">Yes</option>
                                </select>
                                <?php if($errors->has('is_paid')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('is_paid')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="form-group">
                                <label class="form-label">Description</label>
                                <input value="<?php echo e($sale->description); ?>" name="description" class="form-control" placeholder="Description" />
                                <?php if($errors->has('description')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('description')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                     </div>
                </div>  
        </section>
   </div>

   <div class="col-lg-12">
    <section class="card">
        <header class="card-header bg-info">
            <h4 class="mb-0 text-white" >Customer Info</h4>
        </header>
        <div class="card-body">
                <div class="row">
                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer</label>
                            <select class="form-control" name="customer">
                                <option>Select Customer</option>
                                <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $customer): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option 
                                      <?php if($customer->id == $sale->customer_id): ?>
                                      selected
                                      <?php endif; ?>
                                      data-name="<?php echo e($customer->customer_name); ?>"
                                      data-email="<?php echo e($customer->customer_email); ?>"
                                      data-contact="<?php echo e($customer->customer_phone); ?>"
                                      data-country="<?php echo e($customer->country); ?>"
                                      data-state="<?php echo e($customer->state); ?>"
                                      data-city="<?php echo e($customer->city); ?>"
                                      data-postalcode="<?php echo e($customer->postal_code); ?>"
                                      data-address="<?php echo e($customer->street_address); ?>" 
                                      value="<?php echo e($customer->id); ?>"
                                      ><?php echo e($customer->customer_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('customer')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer Name</label>
                            <input 
                            value="<?php echo e($sale->customer_name); ?>"
                            name="customer_name" class="form-control" 
                            placeholder="Customer Name">
                            <?php if($errors->has('customer_name')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_name')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer Email</label>
                            <input value="<?php echo e($sale->customer_email); ?>" name="customer_email" class="form-control" placeholder="Customer Email" />
                            <?php if($errors->has('customer_email')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_email')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer Contact</label>
                            <input value="<?php echo e($sale->customer_contact); ?>"
                            name="customer_contact" class="form-control" 
                            placeholder="Customer Contact">
                            <?php if($errors->has('customer_contact')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_contact')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer Country</label>
                            <input value="<?php echo e($sale->customer_country); ?>"
                            name="customer_country" class="form-control" 
                            placeholder="Customer Country">
                            <?php if($errors->has('customer_country')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_country')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer State</label>
                            <input value="<?php echo e($sale->customer_state); ?>"
                            name="customer_state" class="form-control" 
                            placeholder="Customer State">
                            <?php if($errors->has('customer_state')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_state')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer City</label>
                            <input value="<?php echo e($sale->customer_city); ?>"
                            name="customer_city" class="form-control" 
                            placeholder="Customer City">
                            <?php if($errors->has('customer_city')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_city')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer Postal Code</label>
                            <input value="<?php echo e($sale->customer_postalcode); ?>"
                            name="customer_postalcode" class="form-control" 
                            placeholder="Customer Postal Code">
                            <?php if($errors->has('customer_postalcode')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_postalcode')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Customer Address</label>
                            <input value="<?php echo e($sale->customer_address); ?>"
                            name="customer_address" class="form-control" 
                            placeholder="Customer Address">
                            <?php if($errors->has('customer_address')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_address')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>
                 </div>
            </div>  
       </section>
   </div>

   <div class="col-lg-12 items-sections">
        <section class="card">
            <header class="card-header bg-info">
                <h4 class="mb-0 text-white">Invoice Items</h4>
            </header>
            <div class="card-body"> 
                <div class="row ">
                    <div class="m-auto col-md-6 text-center  d-flex">
                        <select class="product">
                            <option value="">Select Item</option>
                            <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option data-id="<?php echo e($p->id); ?>" data-price="<?php echo e($p->price); ?>" value="<?php echo e($p->id); ?>"><?php echo e($p->title); ?></option>  
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <button class="btn btn-success add m-md-0 mt-2" type="button" >+</button>
                    </div>
               </div>

               <hr>

               <div class="items">
               </div>
               
               <hr>

               <div class="row">
                    <div class="col-md-6">

                    </div>
                    <div class="col-md-6">
                            <div class="mb-3 row">
                                <div class="col-md-6 text-end align-self-center">
                                    <label class="form-label" >Subtotal :</label>
                                </div>
                                <div class="col-md-6 text-left">
                                    <input readonly name="subtotal" value="<?php echo e($sale->subtotal); ?>" type="text" class="subtotal form-control" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <div class="col-md-6 text-end align-self-center">
                                    <label class="form-label">Discount :</label>
                                </div>
                                <div class="col-md-6 text-left">
                                    <input type="number" value="<?php echo e($sale->discount); ?>" name="discount" step="0.01" class="discount form-control" />
                                </div>
                            </div>
                            <div class="mb-3 row">
                                <div class="col-md-6 text-end align-self-center">
                                    <label class="form-label">Tax :</label>
                                </div>
                                <div class="col-md-6 text-left">
                                    <input type="number" value="<?php echo e($sale->tax); ?>" name="tax" step="0.01"  class="tax form-control" />
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-md-6 text-end align-self-center">
                                    <label class="form-label" >Grand Total :</label>
                                </div>
                                <div class="col-md-6 text-left">
                                    <input readonly name="total" value="<?php echo e($sale->total); ?>" type="text" 
                                    class="grandtotal form-control" />
                                </div>
                            </div>
                      </div>
                  </div>
              </div>
      </section>
   </div>

   <div class="col-lg-12 items-sections">
        <section class="card">
            <header class="card-header bg-info">
                <h4 class="mb-0 text-white">Additional Details</h4>
            </header>
            <div class="card-body"> 
                <textarea name="notes" class="form-control" cols="30" rows="10"><?php echo e($sale->notes); ?></textarea>
            </div>
        </section>
   </div>

   <div class="col-md-12 text-center pb-3">
     <button class="btn btn-primary" type="submit">Submit</button>
   </div>

   </div>
</form>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>

<script src="https://cdnjs.cloudflare.com/ajax/libs/select2/4.1.0/js/select2.min.js"></script>
    
<script>
    $(document).ready(function() {

        $('.product').select2({
            placeholder: "Select Item..",
            allowClear: true
        });

        let existingItems = <?php echo json_encode(isset($sale) ? $sale->items : [], 15, 512) ?>;
      
        if(existingItems.length > 0){
         existingItems = JSON.parse(existingItems);
        }
        let itemssections = $('.items-sections');

        function calculateTotals() {
            
            let subtotal = 0;
            let discount = parseFloat($('.discount').val()) || 0;
            let tax = parseFloat($('.tax').val()) || 0;
            let grandtotal = 0;

            $('.items .row').each(function () {
                const price = parseFloat($(this).find('.price').val()) || 0;
                const quantity = parseFloat($(this).find('.quantity').val()) || 0; 
                const total = price * quantity;
                $(this).find('.total').val(total.toFixed(2));
                subtotal +=  total;
            });

            grandtotal += subtotal;
            grandtotal += -discount;
            grandtotal += tax;

            $('.subtotal').val(subtotal.toFixed());
            $('.grandtotal').val(grandtotal.toFixed());
        }


        function rendeItems(item) {

            let uid = Date.now() + Math.floor(Math.random() * 1000);

            let template = `<div class="row py-2">
                <div class="col-md-5">
                    <div class="from-group">
                        <label class="form-label">Item Name</label>
                        <input class="form-control" name="items[${uid}][item]" value="${item.item}" />
                    </div>
                </div>
                <div class="col-md-2">
                    <div class="from-group">
                        <label class="form-label">Price</label>
                        <input class="form-control price" type="number" name="items[${uid}][price]" min="1" step="0.01" value="${item.price}" />
                    </div>
                </div>
                <div class="col-md-2">
                    <div class="from-group">
                        <label class="form-label" >Quantity</label>
                        <input class="form-control quantity" type="number" min="1" step="0.01"  name="items[${uid}][quantity]" value="${item.quantity}" />
                    </div>
                </div>
                <div class="col-md-3">
                    <div class="from-group">
                        <label class="form-label" >Total</label>
                        <div class="d-flex">
                            <input value="${item.total}" readonly type="number" class="form-control total" name="items[${uid}][total]" />
                            <button class="btn btn-danger remove" type="button" >X</button>
                        </div>
                    </div>
                </div>
            </div> `;

            return template;
        }

        
        function loadExisting(){

            for (const element in existingItems) {
                    let html = rendeItems({
                        item: existingItems[element].item,
                        price: existingItems[element].price,
                        quantity: existingItems[element].quantity,
                        total: existingItems[element].total,
                    });
                $('.items').append(html);
            }

        }

        itemssections.on('click','.add',function(){

            let p = $('.product option:selected');
            if(p.val() == ""){
                alert('Please Select Product');
                return false;
            }

            let html = rendeItems({
                item:p.text(),
                price:p.data('price'),
                quantity:0,
                total:0,
            });

            $('.items').append(html);
            calculateTotals();
            $('.product').val(null).trigger('change');

        });
   

        $('.items').on('click', '.remove', function () {
            $(this).parent().parent().parent().remove();
            calculateTotals();
        });

        $('select[name=customer]').change(function (e) { 
            $('input[name=customer_name]').val($(this).find('option:selected').data('name'));
            $('input[name=customer_email]').val($(this).find('option:selected').data('email'));
            $('input[name=customer_contact]').val($(this).find('option:selected').data('contact'));
            $('input[name=customer_country]').val($(this).find('option:selected').data('country'));
            $('input[name=customer_state]').val($(this).find('option:selected').data('state'));
            $('input[name=customer_city]').val($(this).find('option:selected').data('city'));
            $('input[name=customer_postalcode]').val($(this).find('option:selected').data('postalcode'));
            $('input[name=customer_address]').val($(this).find('option:selected').data('address'));
        });

        $('.items-sections').on('change','.price, .quantity, .discount, .tax', function () {
           calculateTotals();
        });


        // 
        // Onload Method
        // 
        function OnLoad(){
            loadExisting();
            calculateTotals();
        }

        OnLoad();

    });
</script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pos\resources\views/admin/saleinvoices/edit.blade.php ENDPATH**/ ?>