
<?php $__env->startSection('css'); ?>
<style>

    .invalid-feedback{
      display: block;
   }

   .form-group {
    margin-bottom: 10px;
   }


   .ck-editor__editable_inline {
    min-height: 200px;
   }

</style>

<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h4 class="text-themecolor">Create
        </h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
        <div class="d-flex justify-content-end align-items-center">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                <li class="breadcrumb-item active">Products</li>
            </ol>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <form enctype="multipart/form-data" method="post" action="<?php echo e(URL::to('business/products')); ?>">
            <?php echo csrf_field(); ?> 
            <div class="row">
                <div class="col-md-12">
                    <section class="card">
                        <header class="card-header bg-info">
                            <h4 class="mb-0 text-white" >General Details</h4>
                        </header>
                        <div class="card-body">
                                <div class="row">
                                    <div class="col-md-8">
                                        <div class="form-group">
                                            <label class="form-label">Title <span class="text-danger" >*</span></label>
                                            <input value="<?php echo e(old('title')); ?>" name="title" class="form-control" 
                                            placeholder="Title">
                                            <?php if($errors->has('title')): ?>
                                             <p class="invalid-feedback" ><?php echo e($errors->first('title')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label" >Sku 
                                                <span class="text-danger" >*</span>
                                            </label>
                                            <input value="<?php echo e(old('sku')); ?>" name="sku" class="form-control" placeholder="Sku" />
                                            <?php if($errors->has('sku')): ?>
                                              <p class="invalid-feedback" ><?php echo e($errors->first('sku')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">
                                                <span class="text-danger" >*</span> Category
                                            </label>
                                            <select name="category_id" class="form-control" >
                                                <option value="">Select Category</option>
                                                <?php $__currentLoopData = $categories; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                  <option <?php if(old('category_id') == $item->id): ?> selected <?php endif; ?> value="<?php echo e($item->id); ?>"><?php echo e($item->title); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php if($errors->has('category_id')): ?>
                                              <p class="invalid-feedback"><?php echo e($errors->first('category_id')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Unit 
                                                <span class="text-danger">*</span></label></label>
                                            <select name="unit_id" class="form-control" >
                                                <option value="">Select Unit</option>
                                                <?php $__currentLoopData = $units; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                  <option <?php if(old('unit_id') == $item->id): ?> selected <?php endif; ?>  value="<?php echo e($item->id); ?>"><?php echo e($item->title); ?></option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php if($errors->has('unit_id')): ?>
                                                  <p class="invalid-feedback"><?php echo e($errors->first('unit_id')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Price 
                                                <span class="text-danger" >*</span>
                                            </label>
                                            <input type="number" value="<?php echo e(old('price')); ?>" name="price" class="form-control" placeholder="Price" step="0.01" min="0" />
                                            <?php if($errors->has('price')): ?>
                                            <p class="invalid-feedback" 
                                              ><?php echo e($errors->first('price')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label"> 
                                             <span class="text-danger" >*</span> Purchase Price</label>
                                            <input type="number" value="<?php echo e(old('purchase_price')); ?>" name="purchase_price" class="form-control" 
                                            placeholder="Purchase Price" step="0.01" min="0">
                                            <?php if($errors->has('purchase_price')): ?>
                                            <p class="invalid-feedback" ><?php echo e($errors->first('purchase_price')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>

                                    <div class="col-md-4">
                                        <div class="form-group">
                                            <label class="form-label">Status 
                                                <span class="text-danger">*</span></label></label>
                                            <select name="status" class="form-control" >
                                                <option value="">Select Status</option>
                                                <option <?php if(old('status') == 1): ?> selected <?php endif; ?> value="1">Enable</option>
                                                <option <?php if(old('status') == 0): ?> selected <?php endif; ?>  value="0">Disable</option>
                                            </select>
                                            <?php if($errors->has('status')): ?>
                                                  <p class="invalid-feedback"><?php echo e($errors->first('status')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form-label">Short Description</label>
                                            <input type="text" value="<?php echo e(old('short_description')); ?>" name="short_description" class="form-control" 
                                            placeholder="Description" />
                                            <?php if($errors->has('short_description')): ?>
                                             <p class="invalid-feedback" ><?php echo e($errors->first('short_description')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                             </div>
                        </div>
                    </section>

                    <section class="card">
                        <header class="card-header bg-info">
                            <h4 class="mb-0 text-white">Details</h4>
                        </header>
                        <div class="card-body"> 
                            <div class="col-12">
                                <div class="form-group">
                                    <textarea rows="10" cols="10" placeholder="Details..." class="form-control" 
                                    name="long_description"><?php echo e(old('long_description')); ?></textarea>
                                    <?php if($errors->has('long_description')): ?>
                                    <p class="invalid-feedback" ><?php echo e($errors->first('long_description')); ?></p>
                                    <?php endif; ?>
                                </div>
                            </div>
                        </div>
                    </section>


                    <section class="card">
                        <header class="card-header bg-info">
                            <h4 class="mb-0 text-white">Image</h4>
                        </header>
                        <div class="card-body">       
                                <div class="form-group my-2" > 
                                    <input name="thumbnail" type="file" />
                                    <?php if($errors->has('thumbnail')): ?>
                                     <p class="invalid-feedback"><?php echo e($errors->first('thumbnail')); ?></p>
                                    <?php endif; ?> 
                                </div>
                          </div>
                    </section>
             </div>
         </div>

         <div class="pt-3 form-group row">
            <div class="col-md-12 text-center">
                <button type="submit" class="btn btn-info">Submit</button>
            </div>
         </div>

       </form>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>

    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pos\resources\views/business/products/create.blade.php ENDPATH**/ ?>