
<?php $__env->startSection('css'); ?>
<style>
    .invalid-feedback{
      display: block;
   }
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h4 class="text-themecolor"> Edit Vendor</h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
        <div class="d-flex justify-content-end align-items-center">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                <li class="breadcrumb-item active">Vendors</li>
            </ol>
        </div>
    </div>
</div>

<form method="post" action="<?php echo e(URL::to('business/vendors')); ?>/<?php echo e(Crypt::encryptString($model->id)); ?>">
    <?php echo csrf_field(); ?>
    <?php echo method_field('PUT'); ?>

<div class="row">
    <div class="col-lg-12">
        <section class="card">
            <header class="card-header bg-info">
                <h4 class="mb-0 text-white" >Personal Info</h4>
            </header>
            <div class="card-body">
                <div class="row">
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-label" >Company Name</label>
                            <input type="text" value="<?php echo e($model->company_name); ?>" name="company_name" class="form-control" placeholder="Company Name">
                            <?php if($errors->has('company_name')): ?>
                                <p class="text-danger" ><?php echo e($errors->first('company_name')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-label">FullName <span class="text-danger" >*</span></label>
                            <input type="text" value="<?php echo e($model->name); ?>"
                            name="name" class="form-control" 
                            placeholder="Name">
                            <?php if($errors->has('name')): ?>
                                <p class="text-danger" ><?php echo e($errors->first('name')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-label">Contact</label>
                            <input type="text" value="<?php echo e($model->phone); ?>" name="phone" 
                            class="form-control" placeholder="Contact" />
                            <?php if($errors->has('phone')): ?>
                                <p class="text-danger" ><?php echo e($errors->first('phone')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>
                    <div class="col-md-6">
                        <div class="form-group">
                            <label class="form-label">Email</label>
                            <input type="text" value="<?php echo e($model->email); ?>"
                            name="email" class="form-control" placeholder="Email">
                            <?php if($errors->has('email')): ?>
                                <p class="text-danger" ><?php echo e($errors->first('email')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>
                   </div>
                </div>  
        </section>
   </div>

   <div class="col-lg-12">
    <section class="card">
        <header class="card-header bg-info">
            <h4 class="mb-0 text-white" >Address Info</h4>
        </header>
        <div class="card-body"> 
            <div class="row">
                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-label">Country</label>
                        <input type="text" value="<?php echo e($model->country); ?>" name="country" class="form-control"  placeholder="Country" />
                        <?php if($errors->has('country')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('country')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-label">State / Province</label>
                        <input type="text" value="<?php echo e($model->state); ?>" name="state" class="form-control"  placeholder="State / Province" />
                        <?php if($errors->has('state')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('state')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-4">
                    <div class="form-group">
                        <label class="form-label">City</label>
                        <input type="text" value="<?php echo e($model->city); ?>" name="city" class="form-control" placeholder="City" />
                        <?php if($errors->has('city')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('city')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label" >Postal Code</label>
                        <input type="text" value="<?php echo e($model->postal_code); ?>" name="postal_code" class="form-control" placeholder="Postal Code" />
                        <?php if($errors->has('postal_code')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('postal_code')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-9">
                    <div class="form-group">
                        <label class="form-label" >Street Address</label>
                        <input type="text" value="<?php echo e($model->street_address); ?>"
                        name="street_address" class="form-control" placeholder="Street Address" />
                        <?php if($errors->has('street_address')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('street_address')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>
            </div>
        </div>
      </section>
   </div>

   <div class="col-md-12 text-center pb-3">
    <button class="btn btn-primary"  type="submit">Submit</button>
   </div>
 </div>

</form>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pos\resources\views/business/vendors/edit.blade.php ENDPATH**/ ?>