
<?php $__env->startSection('css'); ?>
<style>

    .invalid-feedback{
      display: block;
   }

   .form-group {
    margin-bottom: 10px;
   }


   .ck-editor__editable_inline {
    min-height: 200px;
   }

</style>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h4 class="text-themecolor">Create
        </h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
        <div class="d-flex justify-content-end align-items-center">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                <li class="breadcrumb-item active">StockAdjustment</li>
            </ol>
        </div>
    </div>
</div>
<div class="row">
    <div class="col-lg-12">
        <form enctype="multipart/form-data" method="post" action="<?php echo e(URL::to('business/stockadjustment')); ?>">
            <?php echo csrf_field(); ?> 
            <div class="row">
                <div class="col-md-12">
                    <section class="card">
                        <header class="card-header bg-info">
                            <h4 class="mb-0 text-white" >General Details</h4>
                        </header>
                        <div class="card-body">
                                <div class="row">
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">
                                                <span class="text-danger" >*</span> Product
                                            </label>
                                            <select name="product_id" class="form-control" >
                                                <option value="">Select Product</option>
                                                <?php $__currentLoopData = $products; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                                  <option <?php if(old('product_id') == $item->id): ?> selected <?php endif; ?> value="<?php echo e($item->id); ?>"><?php echo e($item->sku); ?> - <?php echo e($item->title); ?> (<?php echo e($item->unit->short_name); ?>)   </option>
                                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                            </select>
                                            <?php if($errors->has('product_id')): ?>
                                              <p class="invalid-feedback"><?php echo e($errors->first('product_id')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">Quantity 
                                                <span class="text-danger" >*</span>
                                            </label>
                                            <input type="number" value="<?php echo e(old('qty')); ?>" name="qty" class="form-control" placeholder="Qty" step="0.01" min="0" />
                                            <?php if($errors->has('qty')): ?>
                                            <p class="invalid-feedback" 
                                              ><?php echo e($errors->first('qty')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">Price 
                                                <span class="text-danger" >*</span>
                                            </label>
                                            <input type="number" value="<?php echo e(old('price')); ?>" name="price" class="form-control" placeholder="Price" step="0.01" min="0" />
                                            <?php if($errors->has('price')): ?>
                                            <p class="invalid-feedback" 
                                              ><?php echo e($errors->first('price')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">Date 
                                                <span class="text-danger" >*</span>
                                            </label>
                                            <input type="datetime-local" value="<?php echo e(old('date')); ?>" name="date" class="form-control" placeholder="Price" />
                                            <?php if($errors->has('date')): ?>
                                            <p class="invalid-feedback" 
                                              ><?php echo e($errors->first('date')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                                    <div class="col-md-6">
                                        <div class="form-group">
                                            <label class="form-label">Type 
                                                <span class="text-danger">*</span></label></label>
                                            <select name="type" class="form-control" >
                                                <option value="">Select Tyoe</option>
                                                <option <?php if(old('type') == 'stock_in'): ?> selected <?php endif; ?> value="1">Stock In</option>
                                                <option <?php if(old('type') == 'stock_out'): ?> selected <?php endif; ?>  value="0">Stock Out</option>
                                            </select>
                                            <?php if($errors->has('type')): ?>
                                                  <p class="invalid-feedback"><?php echo e($errors->first('type')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>

                                    <div class="col-md-12">
                                        <div class="form-group">
                                            <label class="form-label">Short Description</label>
                                            <textarea class="form-control" name="description"><?php echo e(old('description')); ?></textarea>
                                            <?php if($errors->has('description')): ?>
                                             <p class="invalid-feedback" ><?php echo e($errors->first('description')); ?></p>
                                            <?php endif; ?> 
                                        </div>
                                    </div>
                             </div>
                        </div>
                    </section>

             </div>
         </div>

         <div class="pt-3 form-group row">
            <div class="col-md-12 text-center">
                <button type="submit" class="btn btn-info">Submit</button>
            </div>
         </div>

       </form>
    </div>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>

    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pos\resources\views/business/stockadjustment/create.blade.php ENDPATH**/ ?>