
<?php $__env->startSection('css'); ?>
 
<link href="<?php echo e(asset('admin/assets/summernote/summernote-bs4.css')); ?>" rel="stylesheet">
<style>
    .error{
        color:red;
    }
</style>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h4 class="text-themecolor">General</h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
        <div class="d-flex justify-content-end align-items-center">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                <li class="breadcrumb-item active">Settings</li>
            </ol>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <section class="card">            
            <header class="card-header bg-info">
                <h4 class="mb-0 text-white">General Settings</h4>
            </header>
            <div class="card-body">
                <form method="post" enctype="multipart/form-data" action="<?php echo e(url('/business/settings/general')); ?>">
                    <?php echo csrf_field(); ?>                    
                    <div class="row">
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Business Name</label>
                                <input type="text" value="<?php echo e($business->name); ?>" class="form-control" name="name" />
                            </div>
                        </div>   
                        
                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Business Icon (40 X 40)</label>
                                <input type="file" value="<?php echo e($business->icon); ?>" class="form-control" name="icon" />
                                <?php if($business->icon): ?>
                                <img src="<?php echo e(asset('/uploads/'.$business->icon)); ?>" style="border:1px solid;width:100px;height:100px"  />
                                <?php endif; ?>
                            </div>
                        </div>

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Business Logo (108 X 21)</label>
                                <input type="file" value="<?php echo e($business->logo); ?>" class="form-control" name="logo" />

                                <?php if($business->logo): ?>
                                <img src="<?php echo e(asset('/uploads/'.$business->logo)); ?>" style="border:1px solid; width:100px;height:100px"  />
                                <?php endif; ?>
                            </div>
                        </div> 

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Business Email</label>
                                <input type="text" value="<?php echo e($business->email); ?>" class="form-control" name="email" />
                            </div>
                        </div> 

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Phone</label>
                                <input type="text" value="<?php echo e($business->contact); ?>" class="form-control" name="contact" />
                            </div>
                        </div>  

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Website</label>
                                <input type="text" value="<?php echo e($business->website); ?>" class="form-control" name="website" />
                            </div>
                        </div> 

                        <div class="col-md-12">
                            <div class="form-group">
                                <label>Business Details</label>
                                <textarea name="details" class="form-control" rows="5"><?php echo e($business->details); ?></textarea>
                            </div>
                        </div>  

                        <div class="col-md-12 text-center pt-5">
                            <button type="submit" class="btn btn-primary">Update</button>
                        </div>
                    </div>
                </form>       
            </div>
        </section>
    </div>
</div>


<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script src="<?php echo e(asset('admin/js/jquery.tagsinput.js')); ?>"></script>
<script src="<?php echo e(asset('admin/assets/summernote/summernote-bs4.min.js')); ?>"></script>
<script>

    jQuery(document).ready(function(){

        $('.summernote').summernote({
            height: 200,                 // set editor height

            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor

            focus: true                 // set focus to editable area after initializing summernote
        });
        $(".tagsinput").tagsInput();
    });

</script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pos\resources\views/business/settings/general.blade.php ENDPATH**/ ?>