
<?php $__env->startSection('css'); ?>

<link rel="stylesheet" type="text/css"
href="<?php echo e(asset('admin/assets/node_modules/datatables.net-bs4/css/dataTables.bootstrap4.css')); ?>">
<link rel="stylesheet" type="text/css"
href="<?php echo e(asset('admin/assets/node_modules/datatables.net-bs4/css/responsive.dataTables.min.css')); ?>">


<style>
    
    @media (max-width: 767px){
        .container-fluid, .container-sm, .container-md, .container-lg, .container-xl, .container-xxl {       
            overflow: scroll!important;
        }
    }

    .dataTables_info {
     float: right;
    }

</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>
    <div class="row page-titles">
        <div class="col-md-5 align-self-center">
            <h4 class="text-themecolor">Sale Report 
            </h4>
        </div>
        <div class="col-md-7 align-self-center text-end">
            <div class="d-flex justify-content-end align-items-center">
                <ol class="breadcrumb justify-content-end">
                    <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                    <li class="breadcrumb-item active">Reports</li>
                </ol>
            </div>
        </div>
    </div>

    <div class="row">
        <div class="col-sm-12">
            <section class="card">
                <header class="card-header bg-info">
                    <h4 class="mb-0 text-white" >Search</h4>
                </header>
                <div class="card-body">
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Payment Status</label>
                                <select name="is_paid" class="form-control" >
                                    <option value="">Select Status</option>
                                    <option value="1">Paid</option>
                                    <option value="0">Unpaid</option>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Customers</label>
                                <select name="customer" class="form-control" >
                                    <option value="">Select Customer</option>
                                    <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option value="<?php echo e($item->id); ?>"><?php echo e($item->name); ?></option>
                                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                                </select>
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>Start Date</label>
                                <input type="date" class="form-control" name="sdate" />
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label>End Date</label>
                                <input type="date"  class="form-control" name="edate" />
                            </div>
                        </div>
                        <div class="col-md-8">
                            <div class="form-group">
                                <label>Search</label>
                                <input class="form-control" name="search" />
                            </div>
                        </div>
                        <div class="col-md-12 text-center">
                            <button type="button" class="search_btn btn btn-primary">Search</button>
                        </div>
                    </div>
                </div>
            </section>
        </div>
    </div>

    <!-- page start-->
    <div class="row">
       <div class="col-sm-12">
          <section class="card">
                <header class="card-header bg-info">
                    <div class="row">
                        <div class="col-md-6 align-self-center">
                            <h4 class="mb-0 text-white" >Sale Report</h4>
                        </div>
                        <div class="col-md-6 text-end">
                          
                        </div>
                    </div>
                </header>
                <div class="card-body">    
                    <table id="example23" class="mydatatable display nowrap table table-hover table-striped border" cellspacing="0" width="100%">
                            <thead>
                                <tr class="">
                                    <th>#</th>
                                    <th>Date</th>
                                    <th>Tracking No</th>
                                    <th>Customer</th>
                                    <th>Payment Status</th>
                                    <th>Total Amount</th>
                                    <th class="text-center">Action</th>
                                </tr>
                            </thead>
                          <tbody>
                      </tbody>
                  </table>
               </div>
            </div>
       </section>
    </div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>

       <script src="<?php echo e(asset('admin/assets/node_modules/datatables.net/js/jquery.dataTables.min.js')); ?>"></script>
       <script src="<?php echo e(asset('admin/assets/node_modules/datatables.net-bs4/js/dataTables.responsive.min.js')); ?>"></script>
     

       <script>
        $(function () {
          
            var application_table = $('.mydatatable').DataTable({
            processing: true,
            "searching": true,  
            fixedColumns: false,
            fixedHeader: false,
            scrollCollapse: false,
            scrollX: true,
            // scrollY: '500px',
            autoWidth: false, 
            dom: 'lirtp',
            serverSide: true,
            lengthMenu: [[10,25, 50, 100,500],[10,25, 50, 100,500]],
            ajax: {
                url: "<?php echo e(URL::to('business/reports/saleReport')); ?>",
                type: "GET",
                data: function ( d ) {  
                    d.tracking_id = $('input[name=tracking_id]').val();
                    d.customer = $('select[name=customer]').val();
                    d.is_paid = $('select[name=is_paid]').val();
                    d.sdate = $('input[name=sdate]').val();
                    d.edate = $('input[name=edate]').val();
                    d.search = $('input[name=search]').val();

                }
            },
            initComplete: function () {                
            }
        });

            application_table.on( 'draw', function () {
           
            } );
        
            $(".search_btn").click(e =>{ 
                application_table.draw();
            });

            $('input[name=search]').change(function (e) { 
                application_table.draw();
            });

    


      });
    </script>
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pos\resources\views/business/reports/saleReport.blade.php ENDPATH**/ ?>