
<?php $__env->startSection('css'); ?>
 
<link href="<?php echo e(asset('admin/assets/summernote/summernote-bs4.css')); ?>" rel="stylesheet">
<style>
    .error{
        color:red;
    }
</style>

<?php $__env->stopSection(); ?>
<?php $__env->startSection('content'); ?>

<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h4 class="text-themecolor">Address</h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
        <div class="d-flex justify-content-end align-items-center">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                <li class="breadcrumb-item active">Settings</li>
            </ol>
        </div>
    </div>
</div>

<div class="row">
    <div class="col-lg-12">
        <section class="card">            
            <header class="card-header bg-info">
                <h4 class="mb-0 text-white">Address</h4>
            </header>
            <div class="card-body">
                <form method="post" enctype="multipart/form-data" action="<?php echo e(url('/business/settings/address')); ?>">
                    <?php echo csrf_field(); ?>                    
                    <div class="row">
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">Country</label>
                                <input type="text" value="<?php echo e($business->country); ?>" name="country" class="form-control" placeholder="Country">
                                <?php if($errors->has('country')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('country')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">State / Province</label>
                                <input type="text" value="<?php echo e($business->state); ?>" name="state" class="form-control" placeholder="State / Province">
                                <?php if($errors->has('state')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('state')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-4">
                            <div class="form-group">
                                <label class="form-label">City</label>
                                <input type="text" value="<?php echo e($business->city); ?>" name="city" class="form-control" placeholder="City">
                                <?php if($errors->has('city')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('city')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-3">
                            <div class="form-group">
                                <label class="form-label" >Postal Code</label>
                                <input type="text" value="<?php echo e($business->postal_code); ?>" name="postal_code" class="form-control" />
                                <?php if($errors->has('postal_code')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('postal_code')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div>
                        <div class="col-md-9">
                            <div class="form-group">
                                <label class="form-label" >Street Address</label>
                                <input type="text" value="<?php echo e($business->street_address); ?>" name="street_address" class="form-control" placeholder="Street Address">
                                <?php if($errors->has('street_address')): ?>
                                 <p class="text-danger" ><?php echo e($errors->first('street_address')); ?></p>
                                <?php endif; ?> 
                            </div>
                        </div> 
                        <div class="col-md-12 text-center pt-5">
                            <button type="submit" class="btn btn-primary">Update</button>
                        </div>
                    </div>
                </form>       
            </div>
        </section>
    </div>
</div>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('js'); ?>
<script src="<?php echo e(asset('admin/js/jquery.tagsinput.js')); ?>"></script>
<script src="<?php echo e(asset('admin/assets/summernote/summernote-bs4.min.js')); ?>"></script>
<script>

    jQuery(document).ready(function(){

        $('.summernote').summernote({
            height: 200,                 // set editor height
            minHeight: null,             // set minimum height of editor
            maxHeight: null,             // set maximum height of editor
            focus: true                 // set focus to editable area after initializing summernote
        });
        $(".tagsinput").tagsInput();

    });

</script>
    
<?php $__env->stopSection(); ?>
<?php echo $__env->make('business.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\pos\resources\views/business/settings/address.blade.php ENDPATH**/ ?>