
<?php $__env->startSection('css'); ?>
<style>
    .invalid-feedback{
      display: block;
   }

  
</style>
<?php $__env->stopSection(); ?>

<?php $__env->startSection('content'); ?>

<?php

$ports = $_s['ports'] ? json_decode($_s['ports']) : [];
$port_of_shipments = $_s['port_of_shipment'] ? json_decode($_s['port_of_shipment']) : [];
$documents = $_s['documents'] ? json_decode($_s['documents']) : [];

$options = '';

foreach ($documents as $value) {
    $options .= '<option value="'.$value.'">'.$value.'</option>';
}



?>
<div class="row page-titles">
    <div class="col-md-5 align-self-center">
        <h4 class="text-themecolor">Consignment & Job Creation</h4>
    </div>
    <div class="col-md-7 align-self-center text-end">
        <div class="d-flex justify-content-end align-items-center">
            <ol class="breadcrumb justify-content-end">
                <li class="breadcrumb-item"><a href="javascript:void(0)">Home</a></li>
                <li class="breadcrumb-item active">Consignment & Job Creation
                </li>
            </ol>
        </div>
    </div>
</div>

<form method="post" action="<?php echo e(URL::to('admin/consignments')); ?>/<?php echo e($model ? Crypt::encryptString($model->id) : 'create'); ?>" >
    <?php echo csrf_field(); ?>
    <?php echo method_field('PUT'); ?>

    <div class="row">
        <div class="col-lg-12">
          <section class="card">
              <header class="card-header bg-info">
                    <h4 class="mb-0 text-white">Jobs With Consignment information</h4>
              </header>
              <div class="card-body">
                 <div class="row">

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Job Number (Auto)</label>
                            <input readonly type="text" <?php if($model): ?> value="<?php echo e($model->job_number_prefix); ?>" <?php else: ?> value="<?php echo e($job_number); ?>" <?php endif; ?> name="job_number" 
                            class="form-control" placeholder="Job Number">
                            <?php if($errors->has('job_number')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('job_number')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Consignee (Company Name)</label>
                            <select name="customer_id" class="form-control" >
                                <option value="">Select Consignee</option>
                                <?php $__currentLoopData = $customers; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($model && $item->id == $model->customer_id): ?> selected <?php endif; ?> value="<?php echo e($item->id); ?>"><?php echo e($item->company_name); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('customer_id')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('customer_id')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Exporter Company Name</label>
                            <input <?php if($model): ?> value="<?php echo e($model->exporter); ?>" <?php endif; ?> name="exporter" 
                            class="form-control" placeholder="Exporter Company Name">
                            <?php if($errors->has('exporter')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('exporter')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-4">
                        <div class="form-group">
                            <label class="form-label">Select Invoice Currency</label>
                            <select class="form-control" name="currency">
                                <?php $__currentLoopData = $currencies; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $cr): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php if($model && $model->currency == $cr['code']): ?> selected <?php endif; ?> value="<?php echo e($cr['code']); ?>"><?php echo e($cr['code']); ?></option>
                               <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                            <?php if($errors->has('currency')): ?>
                             <p class="text-danger" ><?php echo e($errors->first('currency')); ?></p>
                            <?php endif; ?> 
                        </div>
                    </div>

                    <div class="col-md-12 text-center">
                        <button type="submit" class="btn btn-info">Submit</button>
                    </div>
                </div> 
            </div>
        </section>
    </div>

    <div class="col-12">
        <?php echo $__env->make('admin.consignments.price-section', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?> 
    </div>

    <?php if($model): ?>
    
    <div class="col-lg-12">
        <section class="card">
            <header class="card-header bg-info">
                  <h4 class="mb-0 text-white">Consignment information</h4>
            </header>
            <div class="card-body">

               <div class="row">

                  <div class="col-md-3">
                      <div class="form-group">
                          <label class="form-label">Job Number</label>
                          <input readonly value="<?php echo e($model->job_number_prefix); ?>"
                          class="form-control">
                      </div>
                  </div>

                  <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Consignee (Company Name)</label>
                        <input readonly value="<?php echo e($model->customer->company_name); ?>" 
                        class="form-control">
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Exporter Company Name</label>
                        <input readonly value="<?php echo e($model->exporter); ?>"  class="form-control">
                    </div>
                </div>

                  <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Total Quantity</label>
                        <input readonly value="<?php echo e($model->total_quantity); ?>" 
                        class="form-control" placeholder="Total Quantity">
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Total Invoice Value</label>
                        <input readonly value="<?php echo e($model->invoice_value); ?>" 
                        class="form-control" placeholder="Invoice Value">
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Invoice Currency</label>
                        <input readonly value="<?php echo e($model->currency); ?>" 
                        class="form-control" placeholder="Invoice Currency">
                    </div>
                </div>
                
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">PO Number</label>
                        <input  value="<?php echo e($model->po_number); ?>" name="po_number" 
                        class="form-control" placeholder="PO Number">
                        <?php if($errors->has('po_number')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('po_number')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label"> Machine Number </label>
                        <input value="<?php echo e($model->machine_number); ?>" name="machine_number" 
                         class="form-control" placeholder="Machine Number">
                        <?php if($errors->has('machine_number')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('machine_number')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>  

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">POL</label>
                        <select class="form-control" name="port" >
                        <?php $__currentLoopData = $ports; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $port): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                            <option <?php if($model->port == $port): ?> selected <?php endif; ?> value="<?php echo e($port); ?>"><?php echo e($port); ?></option>
                        <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('port')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('port')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">POD</label>
                        <select class="form-control" name="port_of_shippment" >
                          <?php $__currentLoopData = $port_of_shipments; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $shipment): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                          <option <?php if($model->port_of_shippment == $shipment): ?> selected <?php endif; ?> 
                            value="<?php echo e($shipment); ?>"><?php echo e($shipment); ?></option>  
                          <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('port_of_shippment')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('port_of_shippment')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">EIF/FI NO</label>
                        <input  value="<?php echo e($model->eiffino); ?>" name="eiffino" 
                        class="form-control" placeholder="EIF/FI NO">
                        <?php if($errors->has('eiffino')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('eiffino')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>
                
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Frieght in FC</label>
                        <input required type="number" value="<?php echo e($model->freight); ?>" name="freight" 
                        class="form-control" placeholder="Freight">
                        <?php if($errors->has('freight')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('freight')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Insurance In PKR</label>
                        <input required type="number" value="<?php echo e($model->ins_rs); ?>" name="ins_rs" 
                        class="form-control" placeholder="Ins Rs">
                        <?php if($errors->has('ins_rs')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('ins_rs')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

     
                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Insurance In FC</label>
                        <input readonly  value="<?php echo e($model->insurance_in_fc); ?>" name="insurance_in_fc" 
                        class="form-control" placeholder="FC (Foreign Currency)">
                        <?php if($errors->has('us')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('us')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Lc / Bt / TT No</label>
                        <input value="<?php echo e($model->ttno); ?>" name="ttno" 
                        class="form-control" placeholder="Lc / Bt / TT No">
                        <?php if($errors->has('ttno')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('ttno')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">LC Date</label>
                        <input  type="date"  value="<?php echo e(\Carbon\Carbon::parse($model->lc_date)->format('Y-m-d')); ?>" name="lc_date" 
                        class="form-control" placeholder="LC Date">
                        <?php if($errors->has('lc_date')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('lc_date')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Vessel / Flight Name</label>
                        <input  value="<?php echo e($model->vessel); ?>" name="vessel" 
                        class="form-control" placeholder="Vessel">
                        <?php if($errors->has('vessel')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('vessel')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">IGM No</label>
                        <input  value="<?php echo e($model->igmno); ?>" name="igmno" 
                        class="form-control" placeholder="IGM No">
                        <?php if($errors->has('igmno')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('igmno')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">IGM Date</label>
                        <input  type="date"  value="<?php echo e(\Carbon\Carbon::parse($model->igm_date)->format('Y-m-d')); ?>" name="igm_date" 
                        class="form-control" placeholder="IGM Date">
                        <?php if($errors->has('igm_date')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('igm_date')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Index No</label>
                        <input  value="<?php echo e($model->index_no); ?>" name="index_no" 
                        class="form-control" placeholder="Index No">
                        <?php if($errors->has('index_no')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('index_no')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">BL/AWB No</label>
                        <input value="<?php echo e($model->blawbno); ?>"
                        class="form-control" name="blawbno" placeholder="BL/AWB No">
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">BL/AWB Date</label>
                        <input  type="date" 
                        value="<?php echo e(\Carbon\Carbon::parse($model->bl_awb_date)->format('Y-m-d')); ?>" name="bl_awb_date" 
                        class="form-control" placeholder="BL/AWB Date">
                        <?php if($errors->has('bl_awb_date')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('bl_awb_date')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

               

                <div class="col-md-3">
                    <?php 
                      $countries = \App\Enums\Country::DATA; 
                    ?>
                    <div class="form-group">
                        <label class="form-label">Country Origion</label>
                        <select class="form-control" name="country_origion" >
                            <?php $__currentLoopData = $countries; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $country): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                             <option <?php if($model->country_origion == $country['name']): ?> selected <?php endif; ?> value="<?php echo e($country['name']); ?>"><?php echo e($country['name']); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('country_origion')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('country_origion')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Rate Of Exchange</label>
                        <input  type="number"  value="<?php echo e($model->rate_of_exchange); ?>" name="rate_of_exchange" 
                        class="form-control" placeholder="Rate Of Exchange">
                        <?php if($errors->has('rate_of_exchange')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('rate_of_exchange')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Master Agent</label>
                        <input   value="<?php echo e($model->master_agent); ?>" name="master_agent" 
                        class="form-control" placeholder="Master Agent">
                        <?php if($errors->has('master_agent')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('master_agent')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Freight Agent</label>
                        <input   value="<?php echo e($model->other_agent_agent); ?>" name="other_agent" 
                        class="form-control" placeholder="Freight Agent">
                        <?php if($errors->has('other_agent')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('other_agent')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Arival Date</label>
                        <input  type="date"  value="<?php echo e(\Carbon\Carbon::parse($model->due_date)->format('Y-m-d')); ?>" name="due_date" 
                        class="form-control" placeholder="Arival Date">
                        <?php if($errors->has('due_date')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('due_date')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Package Type</label>
                        <select class="form-control" name="package_type" >
                            <?php $__currentLoopData = $package_types; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $p): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                <option <?php if($model->package_type == $p): ?> selected <?php endif; ?> 
                                 ><?php echo e($p); ?></option>
                            <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                        </select>
                        <?php if($errors->has('package_type')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('package_type')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">No Of Packages</label>
                        <input value="<?php echo e($model->no_of_packages); ?>" name="no_of_packages" 
                        class="form-control" placeholder="No of Packages">
                        <?php if($errors->has('no_of_packages')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('no_of_packages')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Shipment No</label>
                        <input  value="<?php echo e($model->shipment_number); ?>" name="shipment_number" 
                        class="form-control" placeholder="Shipment No">
                        <?php if($errors->has('shipment_number')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('shipment_number')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Mode Of Shipment</label>
                        <select class="form-control" name="mode_of_shipment" >
                            <option <?php if($model->mode_of_shipment == 'by_sea'): ?> selected <?php endif; ?> value="by_sea">By Sea</option>
                            <option <?php if($model->mode_of_shipment == 'by_air'): ?> selected <?php endif; ?> value="by_air">By Air</option>
                        </select>
                        <?php if($errors->has('mode_of_shipment')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('mode_of_shipment')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Gross Weight</label>
                        <input  type="number"  value="<?php echo e($model->gross); ?>" name="gross" 
                        class="form-control" placeholder="Gross">
                        <?php if($errors->has('gross')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('gross')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>

                <div class="col-md-3">
                    <div class="form-group">
                        <label class="form-label">Net Weight</label>
                        <input  type="number"  value="<?php echo e($model->nett); ?>" name="nett" 
                        class="form-control" placeholder="Nett">
                        <?php if($errors->has('nett')): ?>
                         <p class="text-danger" ><?php echo e($errors->first('nett')); ?></p>
                        <?php endif; ?> 
                    </div>
                </div>
                
                  <div class="col-md-12 text-center">
                      <button type="submit" class="btn btn-info">Submit</button>
                  </div>
              </div> 
          </div>
      </section>
    </div>

   <?php if($model->nett): ?>
   <div class="col-lg-12">
    <section class="card">
        <header class="card-header bg-info">
              <h4 class="mb-0 text-white">Documents</h4>
        </header>
        <div class="card-body">

         <?php $data = json_decode($model->documents); ?>

         <div class="document_rows" >
             <?php if( $data): ?>
             <?php $__currentLoopData = $data; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $key => $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                <div class="row">
                    <div class="col-md-6 nopadding">
                        <div class="form-group">
                            <label for="title">Document Name</label>
                            <select class="form-control" name="documents[<?php echo e($key); ?>][name]">
                                <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $document): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                                    <option <?php if($document == $item->name): ?> selected <?php endif; ?> 
                                    value="<?php echo e($document); ?>"><?php echo e($document); ?></option>
                                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                            </select>
                        </div>
                    </div>
                    <div class="col-md-6 nopadding">
                        <div class="form-group">
                            <label for="Date">Due Date</label>
                            <div class="input-group">
                                <input  type="date" 
                                value="<?php echo e($item->date); ?>"
                                name="documents[<?php echo e($key); ?>][date]" class="form-control" />
                                <div class="document_remove_btn input-group-append">
                                    <button class="btn btn-danger text-white" type="button">
                                    <i class="fa fa-minus"></i></button>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                 <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
             <?php endif; ?>
         </div>

            <div class="row">
                <div class="col-12 text-center ">
                    <button class="document_add_row btn btn-success text-white" type="button">
                    <i class="fa fa-plus"></i></button>
                </div>
            </div>

            <div class="row pt-5 ">
                <div class="col-md-12 text-center">
                    <button type="submit" class="btn btn-info">Submit</button>
                </div>
            </div>
        </div>
    </section>
   </div>
   <?php endif; ?>



   <?php endif; ?>
</div>

</form>

<div class="d-none options" >
    <?php $__currentLoopData = $documents; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $doc): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
        <option value="<?php echo e($doc); ?>"><?php echo e($doc); ?></option>
    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
</div>
<?php $__env->stopSection(); ?>
<?php $__env->startSection('js'); ?>
    
<script>
    $(document).ready(function() {

            $('.document_rows').on('click','.document_remove_btn', function () {
                $(this).parent().parent().parent().parent().remove();
            });

            $('.document_add_row').click(function(){

                let un = getRandomUniqueNumber();
                $('.document_rows').append(` <div class="row">
                        <div class="col-md-6 nopadding">
                            <div class="form-group">
                                <label for="title">Document Name</label>
                                <select class="form-control" name="documents[${un}][name]">
                                    ${$('.options').html()}
                                </select>
                            </div>
                        </div>
                        <div class="col-md-6 nopadding">
                            <div class="form-group">
                                <label for="Date">Date</label>
                                <div class="input-group">
                                    <input type="date" 
                                    name="documents[${un}][date]" class="form-control" />
                                    <div class="document_remove_btn input-group-append">
                                        <button class="btn btn-danger text-white" type="button">
                                        <i class="fa fa-minus"></i></button>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>`);
        });



        $('input[name=ins_rs],input[name=rate_of_exchange]').change(function (e) { 
            debugger
            
            let ins = parseFloat($('input[name=ins_rs]').val()) ?? 0;
            let exc = parseFloat($('input[name=rate_of_exchange]').val()) ?? 0;

            $('input[name=insurance_in_fc]').val(ins / exc);

            
        });


    });
</script>

<?php $__env->stopSection(); ?>
<?php echo $__env->make('admin.partials.layout', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH D:\laragon\www\customs\resources\views/admin/consignments/edit.blade.php ENDPATH**/ ?>